Subject: ACPI vs DT at runtime

From: [email-masked] (Alexander Holler)
Date: Mon, 05 May 2014 09:06:14 +0200

Am 22.11.2013 13:00, schrieb Pantelis Antoniou:

> As one that's going to be dealing with this, please don't take the DTS
> files from the kernel.
>
> If you do this, I can guarantee that within a year almost no ARM board using DT
> will boot a mainline kernel.
>
> The reason is that vendors have enough trouble (and failing) tracking a single
> tree, adding yet another will just end to the vendor trees as far as the eye can see.
>
> Maybe, maybe, EVMs from silicon vendors will still boot, but I doubt any other
> customer board will work.

A bit late (I don't follow the ML (or what happens in the ARM world) 
closely, but as I've recently read that ARM64 will go UEFI and ACPI, I 
wonder what was the reasoning behind that decision.

Does anyone really assume we will become high quality UEFI and ACPI 
blobs from vendors? And such with reasonable support/update periods?

For me that sounds like someone asked dreamers and was unable to adjust 
those answers in regard to reality.

Regards,

Alexander Holler